## 389-ds-base 1.3.2.23

=== debian/changelog ===
389-ds-base (1.3.2.23-2) unstable; urgency=medium

  * Team upload.
  * Add fix-bsd.patch and support-kfreebsd.patch to fix the build failure
    on kFreeBSD.

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Wed, 03 Sep 2014 15:32:22 +0200

389-ds-base (1.3.2.23-1) unstable; urgency=medium

  * New bugfix release.
  * watch: Update the url.
  * control: Update Vcs-Browser url to use cgit.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 01 Sep 2014 13:32:59 +0300

389-ds-base (1.3.2.21-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2014-3562 (Closes: #757437)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 08 Aug 2014 10:48:55 +0300

389-ds-base (1.3.2.19-1) unstable; urgency=medium

  * New upstream release.
  * admin_scripts.diff: Updated to fix more bashisms.
  * watch: Update the url.
  * Install failedbinds.py and logregex.py scripts.
  * init: Use status from init-functions.
  * control: Update my email.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Jul 2014 15:50:11 +0300

389-ds-base (1.3.2.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply fix for CVE-2014-0132, see like named patch (Closes: 741600)
  * Fix m4-macro for libsrvcore and add missing B-D on libpci-dev
    (Closes: #745821)

 -- Tobias Frost <tobi@coldtobi.de>  Fri, 25 Apr 2014 15:11:16 +0200
