=== debian/changelog ===
389-ds-base (1.3.3.5-4) unstable; urgency=medium

  * Security fixes (Closes: #779909)
    - cve-2014-8105.diff: Fix for CVE-2014-8105
    - cve-2014-8112.diff: Fix for CVE-2014-8112

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Mar 2015 10:53:03 +0200

389-ds-base (1.3.3.5-3) unstable; urgency=medium

  * use-bash-instead-of-sh.diff: Drop admin_scripts.diff and patch the
    scripts to use bash instead of trying to fix bashisms. (Closes:
    #772195)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 16 Jan 2015 15:40:23 +0200

389-ds-base (1.3.3.5-2) unstable; urgency=medium

  * fix-saslpath.diff: Fix SASL library path.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 25 Oct 2014 01:48:34 +0300

389-ds-base (1.3.3.5-1) unstable; urgency=medium

  * New upstream bugfix release.
  * control: Bump policy, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 20 Oct 2014 09:57:14 +0300

389-ds-base (1.3.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Dropped upstreamed patches, refresh others.
  * control, rules, 389-ds-base.install: Add support for systemd.
  * fix-obsolete-target.diff: Drop syslog.target from the service files.
  * 389-ds-base.links: Mask the initscript so that it's not used with systemd.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 06 Oct 2014 17:13:01 +0300
