=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
 
 # Keep track of files we don't install
-NOT_INSTALLED := \
-	etc/rc.d/init.d/dirsrv-snmp \
-	etc/rc.d/init.d/dirsrv \
-	etc/default/dirsrv
+NOT_INSTALLED :=
 
 REALFILE = \
 	bin/cl-dump.pl \
@@ -50,11 +47,15 @@
 	share/man/man8/ldif2db.pl.8
 
 %:
-	dh $@ --parallel --with autoreconf --builddir build/
+	dh $@ --parallel --with autoreconf,systemd --builddir build/
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--with-openldap \
+		--with-systemdsystemunitdir=/lib/systemd/system \
+		--with-systemdsystemconfdir=/etc/systemd/system \
+		--with-systemdgroupname=dirsrv.target \
+		--with-tmpfiles-d=/etc/tmpfiles.d \
 		--enable-autobind
 
 override_dh_auto_install:
@@ -80,6 +81,8 @@
 	# use -f to ensure we notice disappearing files:
 	set -e; for file in $(NOT_INSTALLED); do rm debian/tmp/$$file; done
 
+	mkdir -p $(CURDIR)/debian/tmp/etc/systemd/system/dirsrv.target.wants
+
 	dh_install --fail-missing
 
 override_dh_installinit:
