## 389-ds-base 1.3.3.12

=== debian/changelog ===
389-ds-base (1.3.3.12-1build1) wily; urgency=medium

  * No-change rebuild against new libicu

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:37:44 +0100

389-ds-base (1.3.3.12-1) unstable; urgency=medium

  * New upstream release
    - fix CVE-2015-3230 (Closes: #789202)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 24 Jun 2015 11:47:50 +0300

389-ds-base (1.3.3.10-1) unstable; urgency=medium

  * New upstream release
    - fix CVE-2015-1854 (Closes: #783923)
  * postinst: Stop actual instances instead of 'dirsrv' on upgrade, and
    use service(8) instead of invoke-rc.d.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 May 2015 07:58:35 +0300

389-ds-base (1.3.3.9-1) experimental; urgency=medium

  * New upstream bugfix release.
    - Drop cve-2014-8*.diff, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 02 Apr 2015 14:47:20 +0300
