=== debian/changelog ===
389-ds-base (1.3.4.9-1) unstable; urgency=medium

  * New upstream release.
  * support-non-nss-libldap.diff: Support libldap built against gnutls.
    (LP: #1564179)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Apr 2016 18:08:14 +0300

389-ds-base (1.3.4.8-4) unstable; urgency=medium

  * use-perl-move.diff: Dropped, 'rename' is more reliable.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 30 Mar 2016 08:38:24 +0300

389-ds-base (1.3.4.8-3) unstable; urgency=medium

  * use-perl-move.diff: Fix 60upgradeschemafiles.pl to use File::Copy.
    (Closes: #818578)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Mar 2016 11:15:23 +0200

389-ds-base (1.3.4.8-2) unstable; urgency=medium

  * postinst: Silence ls and adduser.
  * Drop the init file, we depend on systemd anyway.
  * rules: Don't enable dirsrv-snmp.service by default.
  * postrm: Clean up /var/lib/dirsrv/scripts-* on purge.
  * user-perl-move.diff: Use move instead of rename during upgrade.
    (Closes: #775550)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Mar 2016 08:13:38 +0200

389-ds-base (1.3.4.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 22 Feb 2016 07:58:40 +0200

389-ds-base (1.3.4.5-2) unstable; urgency=medium

  * fix-systemctl-path.diff: Use correct path to /bin/systemctl.
    (Closes: #779653)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Dec 2015 08:31:20 +0200

389-ds-base (1.3.4.5-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Dec 2015 08:14:56 +0200

389-ds-base (1.3.3.13-1) unstable; urgency=medium

  * New upstream release.
  * control: Add systemd to 389-ds-base Depends. (Closes: #794301)
  * postrm: Clean target.wants in postrm.
  * reproducible-build.diff: Make builds reproducible. Thanks, Chris
    Lamb! (Closes: #799010)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 20 Oct 2015 14:25:05 +0300
