=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
+ dh-systemd,
  libbz2-dev,
  libdb-dev,
  libicu-dev,
@@ -25,7 +26,7 @@
  libsvrcore-dev,
  pkg-config,
  zlib1g-dev,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-fedora-ds/389-ds-base.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-fedora-ds/389-ds-base.git
 Homepage: http://directory.fedoraproject.org
@@ -112,6 +113,7 @@
  libsasl2-modules-gssapi-mit,
  libsocket-getaddrinfo-perl,
  python,
+ systemd,
  ${misc:Depends},
  ${shlibs:Depends},
 Conflicts: slapd
