=== debian/rules ===
--- 
+++ 
@@ -85,8 +85,8 @@
 
 	dh_install --fail-missing
 
-override_dh_installinit:
-	dh_installinit --name dirsrv --error-handler=invoke_failure -- defaults 15 85
+override_dh_systemd_enable:
+	dh_systemd_enable -p389-ds-base --no-enable dirsrv-snmp.service
 
 override_dh_strip:
 	dh_strip -p389-ds-base-libs --dbg-package=389-ds-base-libs-dbg
