=== debian/watch ===
#git=git://git.fedorahosted.org/389/ds.git
version=3
http://www.port389.org/binaries/389-ds-base-(.*).tar.bz2
