## 389-ds-base 1.3.4.14

=== debian/changelog ===
389-ds-base (1.3.4.14-1) unstable; urgency=medium

  * New upstream release.
  * support-non-nss-libldap.diff: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 29 Aug 2016 10:17:41 +0300
