## 389-ds-base 1.3.5.15

=== debian/changelog ===
389-ds-base (1.3.5.15-2build1) zesty; urgency=medium

  * No-change rebuild against libnspr4

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 24 Feb 2017 11:05:42 +0000

389-ds-base (1.3.5.15-2) unstable; urgency=medium

  * fix-48986-cve-2017-2591.diff: Fix upstream ticket 48986,
    CVE-2017-2591. (Closes: #851769)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 27 Jan 2017 00:01:53 +0200

389-ds-base (1.3.5.15-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2016-5405 (Closes: #842121)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 16 Nov 2016 11:01:00 +0200

389-ds-base (1.3.5.14-1) unstable; urgency=medium

  * New upstream release.
  * postrm: Remove /etc/dirsrv, /var/lib/dirsrv and /var/log/dirsrv on
    purge.
  * control: Bump build-dep on libsvrcore-dev to ensure it has support
    for systemd password agent.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 28 Oct 2016 01:42:27 +0300

389-ds-base (1.3.5.13-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 3.9.8, no changes.
  * patches/default_user: Dropped, upstream.
  * support-non-nss-libldap.diff: Dropped, upstream.
  * fix-obsolete-target.diff: Updated.
  * patches: Refreshed.
  * control: Add libsystemd-dev to build-deps.
  * control: Add acl to -base depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 12 Oct 2016 11:11:20 +0300

389-ds-base (1.3.4.14-2) unstable; urgency=medium

  * tests: Add simple autopkgtests.
  * postinst: Start instances after offline update.
  * control, rules: Drop -dbg packages.
  * control: Drop conflicts on slapd. (Closes: #822532)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 Oct 2016 17:53:26 +0300
