## 389-ds-base 1.3.5.17

=== debian/changelog ===
389-ds-base (1.3.5.17-2) unstable; urgency=medium

  * fix-upstream-49245.diff: Pull commits from upstream 1.3.5.x, which
    remove rest of the asm code. (Closes: #862194)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 10 May 2017 09:25:03 +0300

389-ds-base (1.3.5.17-1) unstable; urgency=medium

  * New upstream bugfix release.
    - CVE-2017-2668 (Closes: #860125)
  * watch: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 09 May 2017 11:06:14 +0300
