=== debian/control ===
--- 
+++ 
@@ -23,10 +23,11 @@
  libsasl2-dev,
  libsnmp-dev,
  libssl-dev,
- libsvrcore-dev,
+ libsvrcore-dev (>= 1:4.1.2+dfsg1-3),
+ libsystemd-dev,
  pkg-config,
  zlib1g-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/pkg-fedora-ds/389-ds-base.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-fedora-ds/389-ds-base.git
 Homepage: http://directory.fedoraproject.org
@@ -64,22 +65,6 @@
  .
  This package contains core libraries for the 389 Directory Server.
 
-Package: 389-ds-base-libs-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: 389-ds-base-libs (= ${binary:Version}), ${misc:Depends}
-Description: 389 Directory Server suite - library debugging symbols
- Based on the Lightweight Directory Access Protocol (LDAP), the 389
- Directory Server is designed to manage large directories of users and
- resources robustly and scalably.
- .
- This package provides detached debugging information for the 389
- Directory Server libraries. It is useful primarily to permit better
- backtraces and crash dump analysis after problems with the libraries.
- GDB will find this debug information automatically.
-
 Package: 389-ds-base-dev
 Section: libdevel
 Architecture: any
@@ -106,6 +91,7 @@
 Depends:
  389-ds-base-libs (= ${binary:Version}),
  adduser,
+ acl,
  ldap-utils,
  libmozilla-ldap-perl,
  libnetaddr-ip-perl,
@@ -116,7 +102,6 @@
  systemd,
  ${misc:Depends},
  ${shlibs:Depends},
-Conflicts: slapd
 Breaks: dirsrv, libdirsrv-dev, libdirsrv0
 Replaces: dirsrv, libdirsrv-dev, libdirsrv0
 Description: 389 Directory Server suite - server
@@ -135,17 +120,3 @@
   * on-line, zero downtime update of schema, configuration, and
     in-tree Access Control Information.
 
-Package: 389-ds-base-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: 389-ds-base (= ${binary:Version}), ${misc:Depends}
-Description: 389 Directory Server suite - server debugging symbols
- Based on the Lightweight Directory Access Protocol (LDAP), the 389
- Directory Server is designed to manage large directories of users and
- resources robustly and scalably.
- .
- This package provides detached debugging information for the 389
- Directory Server. It is useful primarily to permit better backtraces
- and crash dump analysis after problems with the libraries.
- GDB will find this debug information automatically.
