=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--with-openldap \
+		--with-systemd \
 		--with-systemdsystemunitdir=/lib/systemd/system \
 		--with-systemdsystemconfdir=/etc/systemd/system \
 		--with-systemdgroupname=dirsrv.target \
@@ -88,9 +89,5 @@
 override_dh_systemd_enable:
 	dh_systemd_enable -p389-ds-base --no-enable dirsrv-snmp.service
 
-override_dh_strip:
-	dh_strip -p389-ds-base-libs --dbg-package=389-ds-base-libs-dbg
-	dh_strip -p389-ds-base --dbg-package=389-ds-base-dbg
-
 override_dh_shlibdeps:
 	dh_shlibdeps -l"debian/389-ds-base/usr/lib/$(DEB_HOST_MULTIARCH)/dirsrv" -a
