=== debian/tests/control ===
Tests: setup
Depends:
 389-ds-base,
 python-lib389,
Restrictions: needs-root
