=== debian/watch ===
#git=https://pagure.io/389-ds-base.git
version=3
http://releases.pagure.org/389-ds-base/389-ds-base-(.*).tar.bz2
