## 389-ds-base 1.3.7.5

=== debian/changelog ===
389-ds-base (1.3.7.5-1) unstable; urgency=medium

  * New upstream release.
  * patches: ftbfs-fix.diff, reproducible-build.diff dropped (upstream)
    others refreshed.
  * *.install: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 04 Oct 2017 10:33:45 +0300

389-ds-base (1.3.6.7-5) unstable; urgency=medium

  * Move all libs from base to -libs, add B/R. (Closes: #874764)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 21 Sep 2017 16:44:13 +0300

389-ds-base (1.3.6.7-4) unstable; urgency=medium

  * control, install: Fix library/dev-link installs, add Breaks/Replaces
    to fit, and drop obsolete B/R.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 30 Aug 2017 00:19:41 +0300

389-ds-base (1.3.6.7-3) unstable; urgency=medium

  * ftbfs-fix.diff: Fix build. (Closes: #873120)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 28 Aug 2017 15:09:02 +0300

389-ds-base (1.3.6.7-2) unstable; urgency=medium

  * control: Bump policy to 4.1.0, no changes.
  * rules: Override dh_missing.
  * control: Add libltdl-dev to build-depends. (Closes: #872979)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 24 Aug 2017 12:15:03 +0300

389-ds-base (1.3.6.7-1) unstable; urgency=medium

  * New upstream release
    - fix CVE-2017-7551 (Closes: #870752)
  * fix-tests.diff: Dropped, fixed upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 Aug 2017 16:30:11 +0300

389-ds-base (1.3.6.5-1) experimental; urgency=medium

  * New upstream release.
    - fix-bsd.patch, support-kfreebsd.patch, fix-48986-cve-2017-2591.diff:
      Dropped, upstream.
  * *.install: Updated.
  * control: Add doxygen, libcmocka-dev, libevent-dev to build-deps.
  * rules: Enable cmocka tests.
  * fix-tests.diff: Fix building the tests.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 10 May 2017 09:38:30 +0300
