=== debian/control ===
--- 
+++ 
@@ -6,14 +6,18 @@
  Timo Aaltonen <tjaalton@debian.org>,
  Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>,
 Build-Depends:
+ libcmocka-dev,
  debhelper (>= 9),
  dh-autoreconf,
  dh-systemd,
+ doxygen,
  libbz2-dev,
  libdb-dev,
+ libevent-dev,
  libicu-dev,
  libkrb5-dev,
  libldap2-dev (>= 2.4.28),
+ libltdl-dev,
  libnspr4-dev,
  libnss3-dev,
  libpam0g-dev,
@@ -27,7 +31,7 @@
  libsystemd-dev,
  pkg-config,
  zlib1g-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Git: git://anonscm.debian.org/pkg-fedora-ds/389-ds-base.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-fedora-ds/389-ds-base.git
 Homepage: http://directory.fedoraproject.org
@@ -56,8 +60,10 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libdirsrv0
-Replaces: libdirsrv0
+Breaks: 389-ds-base (<< 1.3.6.7-5),
+ 389-ds-base-dev (<< 1.3.6.7-4)
+Replaces: 389-ds-base (<< 1.3.6.7-5),
+ 389-ds-base-dev (<< 1.3.6.7-4)
 Description: 389 Directory Server suite - libraries
  Based on the Lightweight Directory Access Protocol (LDAP), the 389
  Directory Server is designed to manage large directories of users and
@@ -74,8 +80,8 @@
  libnspr4-dev,
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: libdirsrv-dev
-Replaces: libdirsrv-dev
+Breaks: 389-ds-base (<< 1.3.6.7-4)
+Replaces: 389-ds-base (<< 1.3.6.7-4)
 Description: 389 Directory Server suite - development files
  Based on the Lightweight Directory Access Protocol (LDAP), the 389
  Directory Server is designed to manage large directories of users and
@@ -102,8 +108,6 @@
  systemd,
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: dirsrv, libdirsrv-dev, libdirsrv0
-Replaces: dirsrv, libdirsrv-dev, libdirsrv0
 Description: 389 Directory Server suite - server
  Based on the Lightweight Directory Access Protocol (LDAP), the 389
  Directory Server is designed to manage large directories of users and
