=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,8 @@
 		--with-systemdsystemconfdir=/etc/systemd/system \
 		--with-systemdgroupname=dirsrv.target \
 		--with-tmpfiles-d=/etc/tmpfiles.d \
-		--enable-autobind
+		--enable-autobind \
+		--enable-cmocka
 
 override_dh_auto_install:
 	dh_auto_install --max-parallel=1
@@ -84,7 +85,10 @@
 
 	mkdir -p $(CURDIR)/debian/tmp/etc/systemd/system/dirsrv.target.wants
 
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_systemd_enable:
 	dh_systemd_enable -p389-ds-base --no-enable dirsrv-snmp.service
