## 389-ds-base 1.3.7.10

=== rfcs/Makefile ===

allrfcs: folders draft-wibrown-ldapssotoken-00

folders:
	mkdir -p txt

examplerfcs:
	xml2rfc examples/template-bare-06.txt -o txt/template-bare-06.txt --text

draft-wibrown-ldapssotoken-00:
	xml2rfc src/draft-wibrown-ldapssotoken-00.xml -o txt/draft-wibrown-ldapssotoken-00.txt --text
	xml2rfc src/draft-wibrown-ldapssotoken-00.xml -o txt/draft-wibrown-ldapssotoken-00.raw --raw
