=== debian/changelog ===
389-ds-base (1.3.7.10-1ubuntu1) bionic; urgency=medium

  * fix-saslpath.diff: Updated to support ppc64el and s390x. (LP:
    #1764744)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Apr 2018 20:45:32 +0300

389-ds-base (1.3.7.10-1) unstable; urgency=medium

  * New upstream release.
    - fix CVE-2018-1054 (Closes: #892124)
  * control: Update maintainer address, freeipa-team handles this from
    now on. Drop kklimonda from uploaders.
  * control: Update VCS urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 13 Mar 2018 11:32:29 +0200

389-ds-base (1.3.7.9-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2017-15134 (Closes: #888452)
  * patches: Fix CVE-2017-15135. (Closes: #888451)
  * tests: Add some debug output.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 05 Feb 2018 16:25:09 +0200

389-ds-base (1.3.7.8-4) unstable; urgency=medium

  * tests: Drop python3-lib389 from depends, it's not used currently
    anyway.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 21 Dec 2017 15:42:04 +0200

389-ds-base (1.3.7.8-3) unstable; urgency=medium

  * tests/control: Depend on python3-lib389.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Dec 2017 23:54:43 +0200

389-ds-base (1.3.7.8-2) unstable; urgency=medium

  * Fix autopkgtest to be robust in the face of changed iproute2 output.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Dec 2017 15:57:26 +0200

389-ds-base (1.3.7.8-1) unstable; urgency=medium

  * New upstream release.
  * Package python3-lib389 and python3-dirsrvtests.
  * control: Add python3 depends to 389-ds-base, since it ships a few
    python scripts.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Dec 2017 17:32:27 +0200
