=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: 389-ds-base
 Section: net
 Priority: optional
-Maintainer: Debian 389ds Team <pkg-fedora-ds-maintainers@lists.alioth.debian.org>
+Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
 Uploaders:
  Timo Aaltonen <tjaalton@debian.org>,
- Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>,
 Build-Depends:
  libcmocka-dev,
  debhelper (>= 9),
  dh-autoreconf,
+ dh-python,
  dh-systemd,
  doxygen,
  libbz2-dev,
@@ -30,10 +30,12 @@
  libsvrcore-dev (>= 1:4.1.2+dfsg1-3),
  libsystemd-dev,
  pkg-config,
+ python3-all-dev,
+ python3-setuptools,
  zlib1g-dev,
 Standards-Version: 4.1.0
-Vcs-Git: git://anonscm.debian.org/pkg-fedora-ds/389-ds-base.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-fedora-ds/389-ds-base.git
+Vcs-Git: https://salsa.debian.org/freeipa-team/389-ds-base.git
+Vcs-Browser: http://salsa.debian.org/freeipa-team/389-ds-base.git
 Homepage: http://directory.fedoraproject.org
 
 Package: 389-ds
@@ -108,6 +110,7 @@
  systemd,
  ${misc:Depends},
  ${shlibs:Depends},
+ ${python3:Depends},
 Description: 389 Directory Server suite - server
  Based on the Lightweight Directory Access Protocol (LDAP), the 389
  Directory Server is designed to manage large directories of users and
@@ -124,3 +127,25 @@
   * on-line, zero downtime update of schema, configuration, and
     in-tree Access Control Information.
 
+Package: python3-lib389
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends},
+ python3-dateutil,
+ python3-ldap,
+ python3-pyasn1,
+ python3-pyasn1-modules,
+ python3-pytest,
+ python3-six,
+Conflicts: python-lib389 (<< 1.3.7.8)
+Replaces: python-lib389 (<< 1.3.7.8)
+Description: Python3 module for accessing and configuring the 389 Directory Server
+ This Python3 module contains tools and libraries for accessing, testing,
+ and configuring the 389 Directory Server.
+
+Package: python3-dirsrvtests
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends},
+ python3-lib389,
+Description: Python3 module for 389 Directory Server Continuous Integration testing
+ This Python3 module contains Continuous Integration tests that can be
+ run against an instance of 389 Directory Server.
