=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	share/man/man8/ldif2db.pl.8
 
 %:
-	dh $@ --parallel --with autoreconf,systemd --builddir build/
+	dh $@ --parallel --with autoreconf,systemd,python3 --builddir build/
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -60,7 +60,19 @@
 		--enable-autobind \
 		--enable-cmocka
 
+	(cd build && make setup.py)
+
+override_dh_auto_build:
+	(cd build && python3 setup.py build)
+	python3 src/lib389/setup.py build
+	dh_auto_build
+
 override_dh_auto_install:
+	(cd build && python3 setup.py install --install-layout=deb --root ../debian/tmp)
+	# stupid build
+	cp -r build/lib/dirsrvtests/ debian/tmp/usr/lib/python3/dist-packages
+	(cd src/lib389 && python3 setup.py install --install-layout=deb --root ../../debian/tmp)
+
 	dh_auto_install --max-parallel=1
 
 override_dh_install:
