## 389-ds-base 1.4.0.18

=== debian/changelog ===
389-ds-base (1.4.0.18-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2018-14624 (Closes: #907778)
    - CVE-2018-14638 (Closes: #908859)
  * control: Build on any arch again.
  * perl-use-move-instead-of-rename.diff: Use copy instead of move,
    except when restoring files in case of an error.
  * Move the new utils (dsconf, dscreate, dsctl, dsidm) to python3-
    lib389.
  * control: Add python3-argcomplete to python3-lib389 depends. (Closes:
    #910761)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Oct 2018 00:56:02 +0300

389-ds-base (1.4.0.16-1) unstable; urgency=medium

  * New upstream release.
  * control: 389-ds-base-dev provides libsvrcore-dev. (Closes: #907140)
  * perl-use-move-instead-of-rename.diff: Fix upgrade on systems where
    /var is on a separate partition: (Closes: #905184)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 27 Sep 2018 22:39:34 +0300

389-ds-base (1.4.0.15-2) unstable; urgency=medium

  * control: Build cockpit-389-ds only on 64bit and i386.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 Aug 2018 08:54:06 +0300

389-ds-base (1.4.0.15-1) unstable; urgency=medium

  * New upstream release
    - CVE-2018-10935 (Closes: #906985)
  * control: Add libcrack2-dev to build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 Aug 2018 00:46:45 +0300

389-ds-base (1.4.0.13-1) experimental; urgency=medium

  * New upstream release.
    - CVE-2018-10850 (Closes: #903501)
  * control: Update maintainer address.
  * control: Upstream dropped support for non-64bit architectures, so
    build only on supported 64bit archs (amd64, arm64, mips64el,
    ppc64el, s390x).
  * control: svrcore got merged here, drop it from build-depends.
  * ftbs_lsoftotkn3.diff: Dropped, obsolete.
  * control: Add rsync to build-depends.
  * libs, dev, control: Add libsvrcore files, replace old package.
  * base: Add new scripts, add python3-selinux, -semanage, -sepolicy to
    depends.
  * Add a package for cockpit-389-ds.
  * rules: Clean up cruft left after build.
  * control: Drop dh_systemd from build-depends, bump debhelper to 11.
  * Add varions libjs packages to cockpit-389-ds Depends, add the rest
    to d/missing-sources.
  * copyright: Updated. (Closes: #904760)
  * control: Modify 389-ds to depend on cockpit-389-ds and drop the old
    GUI packages which are deprecated upstream.
  * dont-build-new-manpages.diff: Debian doesn't have argparse-manpage,
    so in order to not FTBFS don't build new manpages.
  * base.install: Add man5/*.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 31 Jul 2018 23:46:17 +0300

389-ds-base (1.3.8.2-1) unstable; urgency=medium

  * New upstream release.
  * fix-saslpath.diff: Updated to support ppc64el and s390x. (LP:
    #1764744)
  * CVE-2017-15135.patch: Refreshed

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 01 Jun 2018 11:21:19 +0300
