=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: 389-ds-base
 Section: net
 Priority: optional
-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
+Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders:
  Timo Aaltonen <tjaalton@debian.org>,
 Build-Depends:
  libcmocka-dev,
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 11),
  dh-python,
- dh-systemd,
  doxygen,
  libbz2-dev,
+ libcrack2-dev,
  libdb-dev,
  libevent-dev,
  libicu-dev,
@@ -27,11 +26,11 @@
  libsasl2-dev,
  libsnmp-dev,
  libssl-dev,
- libsvrcore-dev (>= 1:4.1.2+dfsg1-3),
  libsystemd-dev,
  pkg-config,
  python3-all-dev,
  python3-setuptools,
+ rsync,
  zlib1g-dev,
 Standards-Version: 4.1.0
 Vcs-Git: https://salsa.debian.org/freeipa-team/389-ds-base.git
@@ -41,21 +40,16 @@
 Package: 389-ds
 Architecture: all
 Depends:
- 389-admin,
- 389-admin-console,
- 389-console,
  389-ds-base,
- 389-ds-console,
- 389-dsgw,
+ cockpit-389-ds,
  ${misc:Depends},
 Description: 389 Directory Server suite - metapackage
  Based on the Lightweight Directory Access Protocol (LDAP), the 389
  Directory Server is designed to manage large directories of users and
  resources robustly and scalably.
  .
- This is a metapackage depending on the LDAPv3 server, the HTTP
- daemon used for server administration, and the graphical console used
- for server and user/group administration.
+ This is a metapackage depending on the LDAPv3 server and a Cockpit UI plugin
+ for administration.
 
 Package: 389-ds-base-libs
 Section: libs
@@ -63,9 +57,11 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: 389-ds-base (<< 1.3.6.7-5),
- 389-ds-base-dev (<< 1.3.6.7-4)
+ 389-ds-base-dev (<< 1.3.6.7-4),
+ libsvrcore0,
 Replaces: 389-ds-base (<< 1.3.6.7-5),
- 389-ds-base-dev (<< 1.3.6.7-4)
+ 389-ds-base-dev (<< 1.3.6.7-4),
+ libsvrcore0,
 Description: 389 Directory Server suite - libraries
  Based on the Lightweight Directory Access Protocol (LDAP), the 389
  Directory Server is designed to manage large directories of users and
@@ -82,8 +78,12 @@
  libnspr4-dev,
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: 389-ds-base (<< 1.3.6.7-4)
-Replaces: 389-ds-base (<< 1.3.6.7-4)
+Breaks: 389-ds-base (<< 1.3.6.7-4),
+ libsvrcore-dev,
+Replaces: 389-ds-base (<< 1.3.6.7-4),
+ libsvrcore-dev,
+Provides:
+ libsvrcore-dev,
 Description: 389 Directory Server suite - development files
  Based on the Lightweight Directory Access Protocol (LDAP), the 389
  Directory Server is designed to manage large directories of users and
@@ -107,6 +107,9 @@
  libsasl2-modules-gssapi-mit,
  libsocket-getaddrinfo-perl,
  python,
+ python3-selinux,
+ python3-semanage,
+ python3-sepolicy,
  systemd,
  ${misc:Depends},
  ${shlibs:Depends},
@@ -130,14 +133,17 @@
 Package: python3-lib389
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
+ python3-argcomplete,
  python3-dateutil,
  python3-ldap,
  python3-pyasn1,
  python3-pyasn1-modules,
  python3-pytest,
  python3-six,
-Conflicts: python-lib389 (<< 1.3.7.8)
-Replaces: python-lib389 (<< 1.3.7.8)
+Conflicts: python-lib389 (<< 1.3.7.8),
+ 389-ds-base (<< 1.4.0.18-1),
+Replaces: python-lib389 (<< 1.3.7.8),
+ 389-ds-base (<< 1.4.0.18-1),
 Description: Python3 module for accessing and configuring the 389 Directory Server
  This Python3 module contains tools and libraries for accessing, testing,
  and configuring the 389 Directory Server.
@@ -149,3 +155,20 @@
 Description: Python3 module for 389 Directory Server Continuous Integration testing
  This Python3 module contains Continuous Integration tests that can be
  run against an instance of 389 Directory Server.
+
+Package: cockpit-389-ds
+Architecture: any
+Depends: ${misc:Depends},
+ cockpit,
+ libjs-bootstrap,
+ libjs-c3,
+ libjs-d3,
+ libjs-jquery-datatables,
+ libjs-jquery-datatables-extensions,
+ libjs-jquery-jstree,
+ libjs-moment,
+ python3,
+ python3-lib389,
+Description: Cockpit user interface for 389 Directory Server
+ This package includes a Cockpit UI plugin for configuring and administering
+ the 389 Directory Server.
