=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,14 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
 
 # Keep track of files we don't install
-NOT_INSTALLED :=
+NOT_INSTALLED := \
+	usr/share/cockpit/389-console/static/bootstrap.min.js \
+	usr/share/cockpit/389-console/static/c3.min.js \
+	usr/share/cockpit/389-console/static/d3.min.js \
+	usr/share/cockpit/389-console/static/jquery.dataTables.min.js \
+	usr/share/cockpit/389-console/static/jquery.dataTables.select.min.js \
+	usr/share/cockpit/389-console/static/jstree.min.js \
+	usr/share/cockpit/389-console/static/moment.min.js
 
 REALFILE = \
 	bin/cl-dump.pl \
@@ -47,7 +54,13 @@
 	share/man/man8/ldif2db.pl.8
 
 %:
-	dh $@ --parallel --with autoreconf,systemd,python3 --builddir build/
+	dh $@ --with autoreconf,python3 --builddir build/
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f aclocal.m4 config.* ltmain.sh m4/libtool.m4 m4/lt*.m4
+	rm -f ldap/servers/snmp/ldap-agent.conf
+	rm -rf src/lib389/build src/lib389/lib389.egg-info
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -102,8 +115,8 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
-override_dh_systemd_enable:
-	dh_systemd_enable -p389-ds-base --no-enable dirsrv-snmp.service
+override_dh_installsystemd:
+	dh_installsystemd -p389-ds-base --no-enable dirsrv-snmp.service
 
 override_dh_shlibdeps:
 	dh_shlibdeps -l"debian/389-ds-base/usr/lib/$(DEB_HOST_MULTIARCH)/dirsrv" -a
