## 389-ds-base 1.4.0.21

=== debian/changelog ===
389-ds-base (1.4.0.21-1) unstable; urgency=medium

  * New upstream release.
  * Run offline upgrade only when upgrading from versions below 1.4.0.9,
    ns-slapd itself handles upgrades in newer versions.
  * rules: Actually install the minified javascript files. (Closes:
    #913820)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Feb 2019 16:28:15 +0200

389-ds-base (1.4.0.20-3) unstable; urgency=medium

  * control: 389-ds-base should depend on the legacy tools for now.
    (Closes: #919420)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 16 Jan 2019 11:30:51 +0200

389-ds-base (1.4.0.20-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 14 Jan 2019 20:03:58 +0200

389-ds-base (1.4.0.20-1) experimental; urgency=medium

  * New upstream release. (Closes: #913821)
  * fix-nss-path.diff: Fix includes.
  * Build ds* manpages, add missing build-depends.
  * Move deprecated tools in a new subpackage.
  * control: Add python3-lib389 to 389-ds-base depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 13 Jan 2019 21:13:22 +0200

389-ds-base (1.4.0.19-3) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.
  * Use secure URI in Vcs control header.

  [ Hugh McMaster ]
  * control: Mark 389-ds-base-libs{,-dev} M-A: same, cockpit-389-ds M-A:
    foreign and arch:all. (Closes: #916118)
  * Use pkg-config to detect icu. (Closes: #916115)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 Jan 2019 12:43:23 +0200

389-ds-base (1.4.0.19-2) unstable; urgency=medium

  * rules: Add -latomic to LDFLAGS on archs failing to build. (Closes:
    #910982)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Dec 2018 01:06:37 +0200

389-ds-base (1.4.0.19-1) unstable; urgency=medium

  * New upstream release.
  * control: Make C/R backports-compatible. (Closes: #910796)
  * use-packaged-js.diff: Dropped, packaged versions don't work.
    (Closes: #913820)
  * Follow upstream, and drop python3-dirsrvtests.
  * cockpit-389-ds.install: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 Dec 2018 15:56:40 +0200
